Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.marshal
Interface PreferredStreamUnMarshaller

All Superinterfaces:
  java.io.Serializable, SerialUnMarshaller, UnMarshaller

All Known Implementing Classes:
  CompressingUnMarshaller, EncryptingUnMarshaller, HTTPUnMarshaller, SerializableUnMarshaller

    public interface PreferredStreamUnMarshaller

extends SerialUnMarshaller

A PreferedStreamUnMarshaller can create from a raw InputStream the particular InputStream it prefers to use

Version:
  $Revision: 2320 $

  Copyright (c) Jan 26, 2007

Author:
  Ron Sigal

Method Summary
`java.io.InputStream` | `getMarshallingStream(java.io.InputStream inputStream)` An application that calls getMarshallingStream() should provide a basic InpputStream, e.g., SocketIntputStream, which can be wrapped to provide the facilities desired by the PreferredStreamUnMarshaller.
`java.io.InputStream` | `getMarshallingStream(java.io.InputStream inputStream, java.util.Map config)` An application that calls getMarshallingStream() should provide a basic InpputStream, e.g., SocketIntputStream, which can be wrapped to provide the facilities desired by the PreferredStreamUnMarshaller.

Methods inherited from interface org.jboss.remoting.marshal.SerialUnMarshaller
`getSerializationType, setSerializationType`

Methods inherited from interface org.jboss.remoting.marshal.UnMarshaller
`cloneUnMarshaller, read, setClassLoader`

Method Detail

### getMarshallingStream

    java.io.InputStream getMarshallingStream(java.io.InputStream inputStream)
                                             throws java.io.IOException

  An application that calls getMarshallingStream() should provide a basic InpputStream, e.g., SocketIntputStream, which can be wrapped to provide the facilities desired by the PreferredStreamUnMarshaller.

  Parameters:
    `inputStream` - a raw IntputStream
  Returns:
    the InputStream to be used for marshalling
  Throws:
    `java.io.IOException` - if unable to create InputStream

### getMarshallingStream

    java.io.InputStream getMarshallingStream(java.io.InputStream inputStream,
                                             java.util.Map config)
                                             throws java.io.IOException

  An application that calls getMarshallingStream() should provide a basic InpputStream, e.g., SocketIntputStream, which can be wrapped to provide the facilities desired by the PreferredStreamUnMarshaller.

  Parameters:
    `inputStream` - a raw IntputStream
    `config` - a Map with configuration information (e.g., serialization type)
  Returns:
    the InputStream to be used for marshalling
  Throws:
    `java.io.IOException` - if unable to create InputStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.